Sync texlive-bin 2012.20120628-1 (main) from Debian unstable (main)

Bug #1019558 reported by أحمد المحمودي (Ahmed El-Mahmoudy)
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
texlive-bin (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync texlive-bin 2012.20120628-1 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * Track API changes in libpoppler19 to libpoppler25 transition.

Those API changes have been included in new upstream.

Changelog entries since current quantal version 2012.20120530-2ubuntu2:

texlive-bin (2012.20120628-1) unstable; urgency=low

  * new upstream (some emergency fixes), the following patches have
    been removed since they are included upstream: patch-icu, patch-pdftex,
    fix-pipe-in-out-regression, upstream-fix-ini-synctex-segfault
  * Build with -marm on armhf to fix lilypond FTBFS (Closes: #678604)
    (Thanks Peter Michael Green)

 -- Norbert Preining <email address hidden> Thu, 28 Jun 2012 23:47:26 +0900

texlive-bin (2012.20120623-2) unstable; urgency=low

  * fix reading from and writing to pipes from within tex: new
    patch fix-pipe-in-out-regression (Closes: #679065)

 -- Norbert Preining <email address hidden> Tue, 26 Jun 2012 16:02:17 +0900

texlive-bin (2012.20120623-1) unstable; urgency=low

  * post release fixed from Peter Breitenlohner (will be included upstream):
    - (patch-dvi2tty, patch-lacheck) Ken Brown <email address hidden> has noteda
    that already moderately long pathnames may yield buffer overruns in
    lacheck and dvi2tty.
    - (patch-icu) three ICU library files have been modified (undoing ICU
    SVN commit 36090 from 2009-06-11), in order to solve all/most XeTeX
    problems with Indic scripts.
    - (patch-pdftex) a small change in pdftexdir/pdftosrc.cc required to
    build pdfTeX with poppler >=0.18.4 (system-xpdf). Note, however, that
    building pdfTeX that way slightly reduces its capability to handle large
    files (see README.config 1.6 and 3.4.2).
  * update updmap man page (Closes: #677300)
  * (pulled from upupstream cvs, patch xdvi-upupstream-fixes)
    - Fixed bugs in property handling on 64-bit systems (related to source
      specials).
    - Added support for XkbBell, to make the console bell work again.

 -- Norbert Preining <email address hidden> Sat, 23 Jun 2012 12:57:25 +0900

Changed in texlive-bin (Ubuntu):
importance: Undecided → Wishlist
Revision history for this message
Dimitri John Ledkov (xnox) wrote :

2012-07-03 12:03:57 BST Published Quantal release main tex 2012.20120628-1
Published on 2012-07-03
Copied from debian sid in Primary Archive for Debian GNU/Linux

Changed in texlive-bin (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers